using HRD.WebApi.DAL;
using System.ComponentModel.DataAnnotations.Schema;

namespace DAL.Models.Entities
{
    public partial class DocumentArtToDepartment : BaseEntity
    {
        public int DocumentArtToDepartmentId { get; set; }
        public int DepartmentId { get; set; }
        public int DocumentArtId { get; set; }
        public bool IsActive { get; set; }
        public bool? UseGlobix { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string DocumentArtName { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string DocumentArtShortname { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string DocumentArtFolder { get; set; }

        //generic Id
        public override int GetEntityId() => DocumentArtToDepartmentId;

        //generic ToString()
        public override string ToString() => $"DocumentArtToDepartmentId: {GetEntityId()}; DepartmentId : {DepartmentId}; DocumentArtId : {DocumentArtId}";

        //generic EntityInfo()
        public override string EntityInfo() => base.EntityInfo();
    }
}